Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemTemplate

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemTemplate

Direct Known Subclasses:
  CompiledTemplate, WhiteSpaceInfo

public class ElemTemplate
extends ElemTemplateElement

**For advanced use only** Implement xsl:template.

See Also:
  section-Defining-Template-Rules in XSLT Specification, Serialized Form

Constructor Summary
`ElemTemplate()` **For advanced use only**

Method Summary
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Copy the template contents into the result tree.
`XPath` | `getMatch()` **For advanced use only** Get the "match" attribute.
`QName` | `getMode()` **For advanced use only** Get the "mode" attribute.
`QName` | `getName()` **For advanced use only** Get the "name" attribute.
`java.lang.String` | `getNodeName()` **For advanced use only** Return the node name.
`double` | `getPriority()` **For advanced use only** Get the "priority" attribute.
`java.lang.String` | `getPublicId()` **For advanced use only** Return the public identifier for the current document event.
`Stylesheet` | `getStylesheet()` **For advanced use only** Get the owning stylesheet.
`StylesheetComposed` | `getStylesheetComposed()` **For advanced use only** Get the owning stylesheet.
`StylesheetRoot` | `getStylesheetRoot()` **For advanced use only** Get the owning stylesheet.
`java.lang.String` | `getSystemId()` **For advanced use only** Return the system identifier for the current document event.
`int` | `getXSLToken()` **For advanced use only** Get an int constant identifying the type of element.
`void` | `setLocaterInfo(Locator locator)` **For advanced use only** Set the location information for this element.
`void` | `setMatch(XPath v)` **For advanced use only** Set the "match" attribute.
`void` | `setMode(QName v)` **For advanced use only** Set the "mode" attribute.
`void` | `setName(QName v)` **For advanced use only** Set the "name" attribute.
`void` | `setPriority(double v)` **For advanced use only** Set the "priority" attribute.
`void` | `setStylesheet(Stylesheet sheet)` **For advanced use only** Set the owning stylesheet.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemTemplate

    public ElemTemplate()

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  **For advanced use only** Return the public identifier for the current document event.

  This will be the public identifier

  Returns:
    A string containing the public identifier, or null if none is available.
  Overrides:
    getPublicId in class ElemTemplateElement
  See Also:
    `getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  **For advanced use only** Return the system identifier for the current document event.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Returns:
    A string containing the system identifier, or null if none is available.
  Overrides:
    getSystemId in class ElemTemplateElement
  See Also:
    `getPublicId()`

### setLocaterInfo

    public void setLocaterInfo(Locator locator)

  **For advanced use only** Set the location information for this element.
  Overrides:
    setLocaterInfo in class ElemTemplateElement

### getStylesheetComposed

    public StylesheetComposed getStylesheetComposed()

  **For advanced use only** Get the owning stylesheet.
  Overrides:
    getStylesheetComposed in class ElemTemplateElement

### getStylesheet

    public Stylesheet getStylesheet()

  **For advanced use only** Get the owning stylesheet.
  Overrides:
    getStylesheet in class ElemTemplateElement

### setStylesheet

    public void setStylesheet(Stylesheet sheet)

  **For advanced use only** Set the owning stylesheet.

### getStylesheetRoot

    public StylesheetRoot getStylesheetRoot()

  **For advanced use only** Get the owning stylesheet.
  Overrides:
    getStylesheetRoot in class ElemTemplateElement

### setMatch

    public void setMatch(XPath v)

  **For advanced use only** Set the "match" attribute. The match attribute is a Pattern that identifies the source node or nodes to which the rule applies. The match attribute is required unless the xsl:template element has a name attribute (see [6 Named Templates]). It is an error for the value of the match attribute to contain a VariableReference.
  See Also:
    patterns in XSLT Specification

### getMatch

    public XPath getMatch()

  **For advanced use only** Get the "match" attribute. The match attribute is a Pattern that identifies the source node or nodes to which the rule applies. The match attribute is required unless the xsl:template element has a name attribute (see [6 Named Templates]). It is an error for the value of the match attribute to contain a VariableReference.
  See Also:
    patterns in XSLT Specification

### setName

    public void setName(QName v)

  **For advanced use only** Set the "name" attribute. An xsl:template element with a name attribute specifies a named template. If an xsl:template element has a name attribute, it may, but need not, also have a match attribute.
  See Also:
    named-templates in XSLT Specification

### getName

    public QName getName()

  **For advanced use only** Get the "name" attribute. An xsl:template element with a name attribute specifies a named template. If an xsl:template element has a name attribute, it may, but need not, also have a match attribute.
  See Also:
    named-templates in XSLT Specification

### setMode

    public void setMode(QName v)

  **For advanced use only** Set the "mode" attribute. Modes allow an element to be processed multiple times, each time producing a different result. If xsl:template does not have a match attribute, it must not have a mode attribute.
  See Also:
    modes in XSLT Specification

### getMode

    public QName getMode()

  **For advanced use only** Get the "mode" attribute. Modes allow an element to be processed multiple times, each time producing a different result. If xsl:template does not have a match attribute, it must not have a mode attribute.
  See Also:
    modes in XSLT Specification

### setPriority

    public void setPriority(double v)

  **For advanced use only** Set the "priority" attribute. The priority of a template rule is specified by the priority attribute on the template rule. The value of this must be a real number (positive or negative), matching the production Number with an optional leading minus sign (-).
  See Also:
    conflict in XSLT Specification

### getPriority

    public double getPriority()

  **For advanced use only** Get the "priority" attribute. The priority of a template rule is specified by the priority attribute on the template rule. The value of this must be a real number (positive or negative), matching the production Number with an optional leading minus sign (-).
  See Also:
    conflict in XSLT Specification

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an int constant identifying the type of element.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  **For advanced use only** Return the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Copy the template contents into the result tree. The content of the xsl:template element is the template that is instantiated when the template rule is applied.
  Overrides:
    execute in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.